cad怎样垂直标注形位公差的详细操作?

广告也精彩

有两种标注方法:文章源自设计学徒自学网-http://www.sx1c.com/69.html

1.选用对齐标注方式,命令dimaligned。这种标注实际上标注的是线段的长度,所以对线段的端点比较敏感,确切地说是对标注点比较敏感,当采用夹点方式改变标注点的时候,你会发现不但标注的尺寸变了,而且标注的方向也变了。所以这种方法要求标注点捕捉的要准,才能保证标注方向的正确。文章源自设计学徒自学网-http://www.sx1c.com/69.html

2.改变坐标系标注,步骤如下: ucsfollow命令,输入0;ucs命令,输入e回车,再选取线段的一端,注意此时十字光标的方向变了!观察左下角的坐标系的x及y的指向,如果不是想要的方向,重新输入ucs,再输入e回车,然后指定线段的另一端,这时就是我们想要的方向了。然后,就像你平常的一样标注就行了。如果熟练了,当然就不用观察坐标系的方向了,应该胸有成竹,应该知道指定线段的哪一端了。 这种方法实际上标注的是线段的轴线上的长度,改变标注点的时候只改变标注的大小,不改变标注的方向,所以对编辑标注有些方便。文章源自设计学徒自学网-http://www.sx1c.com/69.html

标注完后,再输入命令ucs,回车,再回车。把坐标系恢复到世界坐标系。文章源自设计学徒自学网-http://www.sx1c.com/69.html

由于第2种方法要转变坐标系,转来转去比较麻烦,现在给你做两个自己的命令。文章源自设计学徒自学网-http://www.sx1c.com/69.html

(defun c:w() (command "ucs" "e"))文章源自设计学徒自学网-http://www.sx1c.com/69.html

(defun c:ww() (command "ucs" "" ""))文章源自设计学徒自学网-http://www.sx1c.com/69.html

把上面两行程序拷贝下来,粘贴到acad2000doc.lsp(或者acad2002daoc.lsp,acad2004doc.lsp,acad2005doc.lsp,acad2006doc.lsp其中之一,与你所用的cad版本对应,在cad程序下的support目录中;用记事本打开)的倒数第二行,保存之后就行了。以后只要输入w命令,然后选择线段的一端,坐标系就转过去了;标注后;再输入ww命令,坐标系就又转回来了。这样就比较方便了。文章源自设计学徒自学网-http://www.sx1c.com/69.html

哦——,顺便再给你说个有趣的现象。如果在开始的时候,键入ucsfollow命令,输入1,会有什么新发现吗?找一张大点的图试试。文章源自设计学徒自学网-http://www.sx1c.com/69.html

继续阅读
  • 我的微信
  • 微信扫一扫
  • weinxin
  • 惠生活福利社
  • 微信扫一扫
  • weinxin
设计学徒自学网
  • 本文由 发表于 2021年12月1日13:53:06
  • 转载请务必保留本文链接:http://www.sx1c.com/69.html
    本站展示的所有图文软件均来自于互联网,仅用于软件学习研究分享传递,请勿商用,本站如有侵权请联系客服删除。
匿名

发表评论

匿名网友 填写信息

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: